"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Interceptor_1 = __importDefault(require("../Interceptor"));
const HelloInterceptor = new Interceptor_1.default("Hello", context => {
    context.template.add("helloWorld", "Hello Wechaty!");
})
    .check((context, message) => {
    return /^test$/.test(message.text());
})
    .handler((context) => {
    return context.template.use("helloWorld");
})
    .attribute("date", () => new Date(), "当前时间");
exports.default = HelloInterceptor;
