"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
const JuheAPI_1 = require("../../../lib/APIs/JuheAPI");
const axios = axios_1.default.create();
function randomJoke() {
    return new Promise((resolve, reject) => {
        const apiKey = JuheAPI_1.getAPIKey("joke");
        axios({
            method: "GET",
            url: "http://v.juhe.cn/joke/randJoke.php",
            params: {
                key: apiKey
            }
        }).then((value) => {
            if (value.data.error_code)
                reject(value.data.reason);
            else {
                const result = value.data.result;
                resolve(result[0].content);
            }
        });
    });
}
exports.default = randomJoke;
