"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ResponseGenerator_1 = require("../ResponseGenerator");
const wiki_1 = __importDefault(require("../api/wiki"));
const status_1 = __importDefault(require("../api/status"));
const routes = [
    { path: "/api", handler: () => ResponseGenerator_1.success("Hello Piggy Bro!") },
    { path: "/api/wiki", handler: wiki_1.default, method: "GET,POST" },
    { path: "/api/status", handler: status_1.default, method: "GET,POST" }
];
exports.default = routes;
