"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mime_1 = __importDefault(require("mime"));
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const istextorbinary_1 = require("istextorbinary");
class Statics {
    static get(pathname, res) {
        const staticPath = path_1.default.join(__dirname, pathname);
        if (fs_1.default.existsSync(staticPath)) {
            try {
                const extname = path_1.default.extname(staticPath);
                const file = fs_1.default.readFileSync(staticPath);
                res.writeHead(200, {
                    "Content-Type": mime_1.default.getType(extname)
                });
                if (istextorbinary_1.isBinary(null, file))
                    res.end(file, "binary");
                else
                    res.end(file);
            }
            catch (e) {
                res.writeHead(500);
                res.end("Read file failed");
            }
        }
    }
}
exports.default = Statics;
